DCMTK: DSRWaveformChannelList Class Reference

DCMTK Version 3.7.0 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Public Member Functions | List of all members
DSRWaveformChannelList Class Reference

Class for waveform channel lists. More...

Inheritance diagram for DSRWaveformChannelList:

## Public Member Functions
| DSRWaveformChannelList ()
| default constructor
| DSRWaveformChannelList (const DSRWaveformChannelList &lst)
| copy constructor
virtual | ~DSRWaveformChannelList ()
| destructor
DSRWaveformChannelList & | operator= (const DSRWaveformChannelList &lst)
| assignment operator
OFCondition | print (STD_NAMESPACE ostream &stream, const size_t flags=0, const char pairSeparator='/', const char itemSeparator=',') const
| print list of waveform channels.
OFCondition | read (DcmItem &dataset, const size_t flags)
| read list of waveform channels
OFCondition | write (DcmItem &dataset) const
| write list of waveform channels
OFBool | isElement (const Uint16 multiplexGroupNumber, const Uint16 channelNumber) const
| check whether specified value pair is contained in the list
OFCondition | getItem (const size_t idx, Uint16 &multiplexGroupNumber, Uint16 &channelNumber) const
| get copy of the specified value pair
void | addItem (const Uint16 multiplexGroupNumber, const Uint16 channelNumber)
| add value pair to the list
OFCondition | putString (const char *stringValue)
| put list of waveform channels as a string.
Public Member Functions inherited from DSRListOfItems< DSRWaveformChannelItem >
| DSRListOfItems ()
| default constructor
virtual | ~DSRListOfItems ()
| destructor
DSRListOfItems< DSRWaveformChannelItem > & | operator= (const DSRListOfItems< DSRWaveformChannelItem > &lst)
| assignment operator
OFBool | operator== (const DSRListOfItems< DSRWaveformChannelItem > &lst) const
| comparison operator "equal"
OFBool | operator!= (const DSRListOfItems< DSRWaveformChannelItem > &lst) const
| comparison operator "not equal"
void | clear ()
| clear all internal variables
OFBool | isEmpty () const
| check whether the list is empty
size_t | getNumberOfItems () const
| get number of items contained in the list
OFBool | isElement (const DSRWaveformChannelItem &item) const
| check whether specified item is contained in the list
const DSRWaveformChannelItem & | getItem (const size_t idx) const
| get reference to the specified item
OFCondition | getItems (OFVector< DSRWaveformChannelItem > &items) const
| get copy of all items (as a vector)
void | addItem (const DSRWaveformChannelItem &item)
| add item to the list
void | addOnlyNewItem (const DSRWaveformChannelItem &item)
| add item to the list only if it's not already contained
void | addItems (const OFVector< DSRWaveformChannelItem > &items)
| add items to the list
OFCondition | insertItem (const size_t idx, const DSRWaveformChannelItem &item)
| insert item at specified position to the list
OFCondition | removeItem (const size_t idx)
| remove item from the list

## Additional Inherited Members
Protected Member Functions inherited from DSRListOfItems< DSRWaveformChannelItem >
OFBool | gotoItemPos (size_t idx, OFLIST_TYPENAME OFListConstIterator(DSRWaveformChannelItem) &iterator) const
| goto specified item position
OFBool | gotoItem (const DSRWaveformChannelItem &item, OFLIST_TYPENAME OFListConstIterator(DSRWaveformChannelItem) &iterator) const
| goto specified item
Protected Attributes inherited from DSRListOfItems< DSRWaveformChannelItem >
OFList< DSRWaveformChannelItem > | ItemList
| the list maintained by this class

## Detailed Description

Class for waveform channel lists.

## Constructor & Destructor Documentation

## ◆ DSRWaveformChannelList()

DSRWaveformChannelList::DSRWaveformChannelList | ( | const DSRWaveformChannelList & | lst | ) |

copy constructor

Parameters

  lst | list to be copied

References DSRWaveformChannelList().

## Member Function Documentation

## ◆ addItem()

void DSRWaveformChannelList::addItem | ( | const Uint16 | multiplexGroupNumber,
|  | const Uint16 | channelNumber )

add value pair to the list

Parameters

  multiplexGroupNumber | multiplex group number to be added
  channelNumber | channel number to be added

## ◆ getItem()

OFCondition DSRWaveformChannelList::getItem | ( | const size_t | idx,
|  | Uint16 & | multiplexGroupNumber,
|  | Uint16 & | channelNumber ) const

get copy of the specified value pair

Parameters

  idx | index of the value pair to be returned (starting from 1)
  multiplexGroupNumber | multiplex group number of the specified index (set to 0)
  channelNumber | channel number of the specified index (set to 0 first)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ isElement()

OFBool DSRWaveformChannelList::isElement | ( | const Uint16 | multiplexGroupNumber,
|  | const Uint16 | channelNumber ) const

check whether specified value pair is contained in the list

Parameters

  multiplexGroupNumber | multiplex group number to be checked
  channelNumber | channel number to be checked

Returns
  OFTrue if the value pair is in the list, OFFalse otherwise

## ◆ operator=()

DSRWaveformChannelList & DSRWaveformChannelList::operator= | ( | const DSRWaveformChannelList & | lst | ) |

assignment operator

Parameters

  lst | list to be copied

Returns
  reference to this list after 'lst' has been copied

References DSRWaveformChannelList().

## ◆ print()

OFCondition DSRWaveformChannelList::print | ( | STD_NAMESPACE ostream & | stream,
|  | const size_t | flags = 0,
|  | const char | pairSeparator = '/',
|  | const char | itemSeparator = ',' ) const

print list of waveform channels.

The output of a typical list looks like this: 1/2,3/4,5/6

Parameters

  stream | output stream to which the list should be printed
  flags | flag used to customize the output (see DSRTypes::PF_xxx)
  pairSeparator | character specifying the separator between the value pairs
  itemSeparator | character specifying the separator between the list items

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ putString()

OFCondition DSRWaveformChannelList::putString | ( | const char * | stringValue | ) |

put list of waveform channels as a string.

This function expects the same input format as created by print(), i.e. a comma separated list of numerical value pairs.

Parameters

  stringValue | string value to be set

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ read()

OFCondition DSRWaveformChannelList::read | ( | DcmItem & | dataset,
|  | const size_t | flags )

read list of waveform channels

Parameters

  dataset | DICOM dataset from which the list should be read
  flags | flag used to customize the reading process (see DSRTypes::RF_xxx)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ write()

OFCondition DSRWaveformChannelList::write | ( | DcmItem & | dataset | ) | const

write list of waveform channels

Parameters

  dataset | DICOM dataset to which the list should be written

Returns
  status, EC_Normal if successful, an error code otherwise

The documentation for this class was generated from the following file:

- dcmsr/include/dcmtk/dcmsr/dsrwavch.h

Generated on for DCMTK Version 3.7.0 by Doxygen 1.16.1